by r0t,der4444,cembo,VietMafia

Thursday, November 17, 2005

Interspire ArticleLive NX "Query" SQL Injection Vulnerability


author: r0t (hackers.by.lv)
date: 15 nov. 2005

Software:Interspire ArticleLive NX
Vendor:http://www.interspire.com/articlelive/

Vulnerability Description:

Interspire ArticleLive contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the search feature not properly sanitizing user-supplied input to the "Query" variable. This may allow an attacker to inject or manipulate SQL queries in the backend database.Additionally, if a failed query is performed, the program will disclose the software's installation path. While such information is relatively low risk, it is often useful in carrying out additional, more focused attacks.


Solution:
Update to Interspire ArticleLive NX.0.4.

0 Comments:

Post a Comment

<< Home

 
Copyright (c) 2006 Pridels Sec Crew